## Tcl8.5.14/Tk8.5.14 Documentation > TclLib > DoubleObj

### Tcl/Tk Applications | Tcl Commands | Tk Commands | Tcl Library | Tk Library

  NAME
    Tcl_NewDoubleObj, Tcl_SetDoubleObj, Tcl_GetDoubleFromObj - manipulate Tcl objects as floating-point values
  SYNOPSIS
    #include <tcl8.5/tcl.h>
    Tcl_Obj *
    Tcl_NewDoubleObj(doubleValue)
    Tcl_SetDoubleObj(objPtr, doubleValue)
    int
    Tcl_GetDoubleFromObj(interp, objPtr, doublePtr)
  ARGUMENTS
  DESCRIPTION
  SEE ALSO
  KEYWORDS

### NAME

Tcl_NewDoubleObj, Tcl_SetDoubleObj, Tcl_GetDoubleFromObj - manipulate Tcl objects as floating-point values

### SYNOPSIS

#include <tcl8.5/tcl.h>
Tcl_Obj *
Tcl_NewDoubleObj(doubleValue)
Tcl_SetDoubleObj(objPtr, doubleValue)
int
Tcl_GetDoubleFromObj(interp, objPtr, doublePtr)

### ARGUMENTS

double doubleValue (in)
  A double-precision floating-point value used to initialize or set a Tcl object.

Tcl_Obj *objPtr (in/out)
  For Tcl_SetDoubleObj, this points to the object in which to store a double value. For Tcl_GetDoubleFromObj, this refers to the object from which to retrieve a double value.

Tcl_Interp *interp (in/out)
  When non-NULL, an error message is left here when double value retrieval fails.

double *doublePtr (out)
  Points to place to store the double value obtained from objPtr.

### DESCRIPTION

These procedures are used to create, modify, and read Tcl objects that hold double-precision floating-point values.

Tcl_NewDoubleObj creates and returns a new Tcl object initialized to the double value doubleValue. The returned Tcl object is unshared.

Tcl_SetDoubleObj sets the value of an existing Tcl object pointed to by objPtr to the double value doubleValue. The objPtr argument must point to an unshared Tcl object. Any attempt to set the value of a shared Tcl object violates Tcl's copy-on-write policy. Any existing string representation or internal representation in the unshared Tcl object will be freed as a consequence of setting the new value.

Tcl_GetDoubleFromObj attempts to retrieve a double value from the Tcl object objPtr. If the attempt succeeds, then TCL_OK is returned, and the double value is written to the storage pointed to by doublePtr. If the attempt fails, then TCL_ERROR is returned, and if interp is non-NULL, an error message is left in interp. The Tcl_ObjType of objPtr may be changed to make subsequent calls to Tcl_GetDoubleFromObj more efficient.

### SEE ALSO

Tcl_NewObj, Tcl_DecrRefCount, Tcl_IncrRefCount, Tcl_GetObjResult

### KEYWORDS

double, double object, double type, internal representation, object, object type, string representation
Copyright © 1995-1997 Roger E. Critchlow Jr. Copyright © 1996-1997 Sun Microsystems, Inc.